#!/bin/sh
echo 'name: mmap
version: 0.5.7
id: mmap-0.5.7-9e1bbe75bf9180d694f3201ee7f01f8b

license: BSD3
copyright: 2008, Gracjan Polak
maintainer: Gracjan Polak <gracjanpolak@gmail.com>
stability: alpha
homepage:
package-url:
description: This library provides a wrapper to mmap(2) or MapViewOfFile,
             allowing files or devices to be lazily loaded into memory as
             strict or lazy ByteStrings, ForeignPtrs or plain Ptrs, using
             the virtual memory subsystem to do on-demand loading.
             Modifications are also supported.
category: System
author: Gracjan Polak <gracjanpolak@gmail.com>
exposed: True
exposed-modules: System.IO.MMap
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/mmap-0.5.7
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/mmap-0.5.7
              /usr/local/lib
hs-libraries: HSmmap-0.5.7
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         bytestring-0.9.1.10-94a0a1c920aee21a485bdf21fd51b2be
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/mmap-0.5.7/html/mmap.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/mmap-0.5.7/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
